<?php
include_once '../sys/inc/home.php';
include_once H.'sys/inc/start.php';
include_once H.'sys/inc/compress.php';
include_once H.'sys/inc/sess.php';
include_once H.'sys/inc/settings.php';
include_once H.'sys/inc/db_connect.php';
include_once H.'sys/inc/ipua.php';
include_once H.'sys/inc/fnc.php';
include_once H.'sys/inc/user.php';

include_once 'duels_start.php';

only_reg();

$set['title'] = 'Дуэли - Админка';
include_once H.'sys/inc/thead.php';
title();

if ($user['group_access'] < 15) {
    header('Location: ./');
        exit;
}

$q = mysql_query("SELECT * FROM `duels_config` WHERE `id` = '1'");
$duel = mysql_fetch_assoc($q);

if (isset($_POST['save_time'])) {
if ($_POST['duel_time']){
$duel_time = (int)$_POST['duel_time'];
$time_real = (int)$_POST['time'];
$duel_time_real = $duel_time * $time_real * 60;
if (!$duel_time){
$err[] = 'Все поля должны быть заполнеными';
header('Refresh: 1; url=?'.$passgen);
include_once H.'sys/inc/tfoot.php';
exit();
}
if (!isset($err) && $duel['duel_time'] != $duel_time_real)mysql_query("UPDATE `duels_config` SET `duel_time` = '" . mysql_real_escape_string($duel_time_real) . "' WHERE `id` = '$duel[id]'");
}
header('Location: ?'.$passgen);
exit();
}

if (isset($_POST ['save'])) {
/////////////////////1
if (isset($_POST['div'])) {
$div = (string)$_POST['div'];
if (!preg_match('#^([A-z-]*)$#ui', $div)) {
$err[] = 'В поле Div присутствуют запрещенные символы';
}
if (!$div){
$err[] = 'Все поля должны быть заполнеными';
}
if (!isset($err))mysql_query("UPDATE `duels_config` SET `div` = '" . mysql_real_escape_string($div) . "' WHERE `id` = '{$duel['id']}'");
}
///////////////////////2
if (isset($_POST['ava_width'])){
$ava_width = (int)$_POST['ava_width'];
if (!$ava_width || !is_numeric($ava_width)) {
$err[] = 'Все поля должны быть заполнеными/в поле запрещенные символы';
}
if ($ava_width < '28' || $ava_width > '200'){
$err[] = 'Слишком большая или маленькая ширина';
}
if (!isset($err))mysql_query("UPDATE `duels_config` SET `ava_width` = '" . mysql_real_escape_string($ava_width) . "' WHERE `id` = '$duel[id]'");
}
//////////////////////////3
if (isset($_POST['ava_height'])){
$ava_height = (int)$_POST['ava_height'];
if (!$ava_height || !is_numeric($ava_height)) {
$err[] = 'Все поля должны быть заполнеными';
}
if ($ava_height < '28' || $ava_height > '200'){
$err[] = 'Слишком большая или маленькая высота';
}
if (!isset($err))mysql_query("UPDATE `duels_config` SET `ava_height` = '" . mysql_real_escape_string($ava_height) . "' WHERE `id` = '$duel[id]'");
}
////////////////////////////4
if (isset($_POST['balls_golos'])){
$balls_golos = (int)$_POST['balls_golos'];
if (!$balls_golos || !is_numeric($balls_golos)) {
$err[] = 'Все поля должны быть заполнеными';
}
if (!isset($err))mysql_query("UPDATE `duels_config` SET `balls_golos` = '" . mysql_real_escape_string($balls_golos) . "' WHERE `id` = '$duel[id]'");
}
//////////////////////5
if (isset($_POST['balls_winner'])) {
$balls_winner = (int)$_POST['balls_winner'];
if (!$balls_winner || !is_numeric($balls_winner)) {
$err[] = 'Все поля должны быть заполнеными';
}
if (!isset($err))mysql_query("UPDATE `duels_config` SET `balls_winner` = '" . mysql_real_escape_string($balls_winner) . "' WHERE `id` = '$duel[id]'");
}
header('Refresh: 1; url=?'.$passgen);
if (!isset($err))msg('Настройки сохранены');
}
///////////////////6
if (isset($_POST['save_time'])) {
if ($_POST['duel_time']){
$duel_time = (int)$_POST['duel_time'];
$time_real = (int)$_POST['time'];
$duel_time_real = $duel_time * $time_real * 60;
if (!$duel_time){
echo 'Все поля должны быть заполнеными';
header('Refresh: 1; url=?');
exit();
}
if ($duel['duel_time'] != $duel_time_real)mysql_query("UPDATE `duels_config` SET `duel_time` = '" . my_esc($duel_time_real) . "' WHERE `id` = '$duel[id]'");
}
header('Location: ?'.$passgen);
}
err();
aut();

$duel_time = $duel['duel_time']/60/60;
echo '
    <form method="post" action="?' . $passgen . '">
    Сейчас дуэль закончится: ' . $duel_time . ' ч.
    <br />
    Длительность дуэли:<br /><input type="text" size="3" name="duel_time" value="1" />
    <select name="time">
    <option value="60">Часов</option>
    <option value="1440">Дней</option>
    </select>
    <br />
    <input type="submit" name="save_time" value="Сохранить" />
    <br />
    Div о инфо дуэлей:<br /><input type="text" name="div" value="'.$duel['div'].'" />
    <br />
    Ширина авы:<br /><input type="text" name="ava_width" value="'.$duel['ava_width'].'" />
    <br />
    Высота авы:<br /><input type="text" name="ava_height" value="'.$duel['ava_height'].'" />
    <br />
    Кол-во баллов за то что проголосовал:<br /><input type="text" name="balls_golos" value="'.$duel['balls_golos'].'" />
    <br />
    Кол-во баллов за победу в дуэле:<br /><input type="text" name="balls_winner" value="'.$duel['balls_winner'].'" />
    <br />
    <input type="submit" name="save" value="Сохранить настройки" />
    </form>
';

echo "<div class='foot'>";
echo "&laquo; <a href='./'>Дуэли</a><br />";
echo "</div>";

include_once H.'sys/inc/tfoot.php';
?>